/*Code by Mesith Kudagama. Transmitter code*/
#include<SPI.h>// Libraries needed to communicate with the nrf24l01 module
#include<nRF24L01.h>
#include<RF24.h>

const uint64_t pipeOut= 00001;// Pipe out address

RF24 radio(9,8);//CE,CSN pins

struct MyData{
  
  byte b1;
  byte b2;
  
};

 MyData data;
 
void setup() {
  Serial.begin(9600);
  radio.begin();
  radio.setAutoAck(false);
  radio.setDataRate(RF24_250KBPS);
  radio.openWritingPipe(pipeOut);// setting nrf24l01 module as transmitter

}

void loop(){
  int xAxis,yAxis;

  xAxis=analogRead(A1);// Taking the values of the joystick module
  yAxis=analogRead(A2);
  
  data.b1=map(xAxis, 0, 1023, 0, 180);// Mapping the values
  data.b2=map(yAxis, 0, 1023, 0, 180);

   radio.write(&data, sizeof(MyData));//Transmitting the values

  Serial.print("xAxis=");//To print the values in the Serial monitor
  Serial.print(data.b1);
  Serial.print(" ");
  
  Serial.print("yAxis=");
  Serial.print(data.b2);
  Serial.println();
  delay(10);
}
